Subject: Re: bug#24911: 25.1; Emacs hangs or crashes on use of read syntax for circular objects in IELM

From: Gemini Lasswell <[email-masked]>
Date: Thu, 10 Nov 2016 10:08:05 -0800

Eli Zaretskii <[email-masked]> writes:

>> > I get an error when I type the first line at IELM prompt:
>> >
>> >   *** Eval error ***  Symbol’s function definition is void: a
>> 
>> Yes, so do I. The hang happens when I navigate back to the first line
>> after receiving the error message and either edit it and press RET, or
>> press RET again without editing it.
>
> When I do that, I get "end of file during parsing".

Yes, I've seen that too. Is that the correct behavior? Shouldn't it
repeat the same error message as before?